import request from "@/utils/request.js";

/**
 * 查询店铺会员信息
 * @param {*} params
 * @returns
 */
export function queryMembermember(params) {
  return request({
    method: "get",
    url: "member/queryMember",
    params,
  });
}
export function createMembermember(data) {
  return request({
    method: "post",
    url: "member/createMember",
    data,
  });
}
/**
 * 查询会员流水
 * @param {*} params
 * @returns
 */
export function memberqueryMemberAccount(params) {
  return request({
    method: "get",
    url: "member/queryMemberAccount",
    params,
  });
}
/**
 * 会员现金充值
 * @param {*} params
 * @returns
 */
export function accountPaymember(data) {
  return request({
    method: "post",
    url: "member/accountPay",
    data,
  });
}
/**
 * 会员扫码充值
 * @param {*} params
 * @returns
 */
export function membermemberScanPay(data) {
  return request({
    method: "post",
    url: "member/memberScanPay",
    data,
  });
}

/**
 * 会员充值退款
 * @param {*} params
 * @returns
 */
export function returnFlow(params) {
  return request({
    method: "get",
    url: "member/returnFlow",
    params,
  });
}
